lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master d8d153ef: Declutter more conservatively


From: Greg Chicares
Subject: [lmi-commits] [lmi] master d8d153ef: Declutter more conservatively
Date: Sat, 21 Jan 2023 09:21:02 -0500 (EST)

branch: master
commit d8d153ef4f3d45359dfa89cffa94f4903c2e4c2b
Author: Gregory W. Chicares <gchicares@sbcglobal.net>
Commit: Gregory W. Chicares <gchicares@sbcglobal.net>

    Declutter more conservatively
    
    Commit a6eb063a2db2e4 of 20230119T2332Z suppressed some 'wine'
    diagnostics unconditionally. As pointed out here:
      https://lists.nongnu.org/archive/html/lmi/2023-01/msg00011.html
    a 'wine' upgrade cannot plausibly cause this extra clutter: it's seen
    only when running disconnected, so filter is out only in that case,
    to reduce the chance that any significant message is suppressed.
---
 nychthemeral_test.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/nychthemeral_test.sh b/nychthemeral_test.sh
index 571fbd0f..ecb67cab 100755
--- a/nychthemeral_test.sh
+++ b/nychthemeral_test.sh
@@ -224,14 +224,19 @@ schemata_clutter='
 /^  Done\.$/d
 '
 
+# When /dev/tty doesn't exist, 'wine' issues these extra diagnostics.
+#
 # Escape a literal dollar sign as '[$]' rather than '\$'. The latter
 # is less weird, but 'shellcheck' thinks '\$VARIABLE' calls for an
 # expansion.
 
-nychthemeral_clutter='
+absent_tty_clutter='
 /^[[:xdigit:]]*:err:winediag:nodrv_CreateWindow Application tried to create a 
window, but no driver could be loaded\.$/d
 /^[[:xdigit:]]*:err:winediag:nodrv_CreateWindow Make sure that your X server 
is running and that [$]DISPLAY is set correctly\.$/d
 /^[[:xdigit:]]*:err:systray:initialize_systray Could not create tray window$/d
+'
+
+nychthemeral_clutter='
 /^# install; check physical closure/d
 /^# GUI test/d
 /^# cgi and cli tests/d
@@ -273,6 +278,8 @@ nychthemeral_clutter='
 /^$/d
 '
 
+if ! tty -s; then 
nychthemeral_clutter="${absent_tty_clutter}${nychthemeral_clutter}"; fi
+
 # Install a bland 'configurable_settings.xml' for all architectures.
 # This overwrites any existing file, but developers probably won't
 # care, and end users are unaffected. Without this step, the



reply via email to

[Prev in Thread] Current Thread [Next in Thread]